#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin>>s;
    int q;
    cin>>q;
    int n=s.size();
    int pr[n];
    pr[0]=0;
    for (int i=1; i<n; ++i){
        pr[i]=pr[i-1];
        if (s[i]<s[i-1]){
            ++pr[i];
        }
    }
    int x,y;
    while (q--){
        cin>>x>>y;
        cout<<pr[y-1]-pr[x-1]+1<<'\n';
    }
    return 0;
}
